A Laravel package for applications that wish to use Tokenpass for user authentication.

# Installation


### Add the Laravel package via composer

```
composer require tokenly/tokenpass-client
```


### Add Service Provider

Add the following to the `providers` array in your application config:

```
Tokenly\TokenpassClient\Provider\TokenpassServiceProvider::class
```



### Publish and set the config

```
artisan vendor:publish --provider="Tokenly\TokenpassClient\Provider\TokenpassServiceProvider"
```

Then edit the file at `config/tokenpass.php`.

You will need a client id and client secret generated by Tokenpass.



### Configure your controller, routes and views

See the example [controller](examples/controllers/AccountController.php), [views](examples/views) and [routes](examples/routes.php).


### Database fields

Make sure your "users" table contains the following fields: **username, tokenly_uuid, oauth_token**

### Updgrading from v0.3.0

Upgrading from v0.3.0 requires special instructions. (See [docs/migrate.md](docs/migrate.md))
